TechDraw Image/pl: Difference between revisions

From FreeCAD Documentation
(Updating to match new version of source page)
(Updating to match new version of source page)
Line 31: Line 31:
==Properties==
==Properties==


See also [[TechDraw_View#Properties|TechDraw View]].
* Use the Scale property to adjust the size of the image.

* Use the Width and Height properties to clip the image.
=== Data ===

{{TitleProperty|Image}}

* {{PropertyData|Image File|File}}: The file containing this bitmap.
* {{PropertyData|Image Included|FileIncluded}}: Embedded image file. System use only.
* {{PropertyData|Width|Float}}: The width of the cropped image in mm. Only used if {{PropertyView|Crop}} is {{TRUE}}.
* {{PropertyData|Height|Float}}: The height of the cropped image in mm. Idem.

=== View ===

{{TitleProperty|Image}}

* {{PropertyView|Crop|Bool}}: Crop the image to {{PropertyData|Width}} x {{PropertyData|Height}}.


==Scripting==
==Scripting==

Revision as of 09:42, 11 September 2022

TechDraw Image

Menu location
TechDraw → Insert Bitmap Image
Workbenches
TechDraw
Default shortcut
None
Introduced in version
-
See also
TechDraw SVG Symbol

Description

The Image tool inserts a bitmap image (PNG, TIFF, JPEG, etc.) from a file into the page as a view.

Image inserted in the drawing page

Usage

  1. Press the Insert Bitmap Image button
  2. A file dialog will open. Select a location and file name.

Properties

See also TechDraw View.

Data

Image

  • DANEImage File (File): The file containing this bitmap.
  • DANEImage Included (FileIncluded): Embedded image file. System use only.
  • DANEWidth (Float): The width of the cropped image in mm. Only used if WIDOKCrop is true.
  • DANEHeight (Float): The height of the cropped image in mm. Idem.

View

Image

  • WIDOKCrop (Bool): Crop the image to DANEWidth x DANEHeight.

Scripting

See also: TechDraw API and FreeCAD Scripting Basics.

The Image tool can be used in macros and from the Python console by using the following functions:

dvi = FreeCAD.ActiveDocument.addObject('TechDraw::DrawViewImage','TestImage')
rc = page.addView(dvi)
dvi.ImageFile = "pathToMy/imageFile.png"
dvi.Height = 200
dvi.Width  = 200